
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'business_flow/version'

Gem::Specification.new do |spec|
  spec.name          = 'business_flow'
  spec.version       = BusinessFlow::VERSION
  spec.authors       = ['Alex Scarborough']
  spec.email         = ['alex@teak.io']

  spec.summary       = 'General purpose management of service object flows'
  spec.homepage      = 'https://teak.io'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activemodel', '~> 4.2'
  spec.add_dependency 'activesupport', '~> 4.2'

  spec.add_development_dependency 'reek', '~> 6'
  spec.add_development_dependency 'retryable', '~> 3.0.4'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.53'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.24'
  spec.add_development_dependency 'simplecov', '~> 0.15'
  spec.add_development_dependency 'timecop', '~> 0.9'
end
